package cc.smtweb.biz.mztb.web.task;

import cc.smtweb.system.bpm.util.UtilLogger;
import cc.smtweb.system.bpm.web.sys.base.job.BaseJob;
import cc.smtweb.system.bpm.web.sys.user.dept.DeptCache;
import cc.smtweb.system.bpm.web.sys.user.party.PartyCache;
import cc.smtweb.system.bpm.web.sys.user.role.group.RoleGroupCache;
import cc.smtweb.system.bpm.web.sys.user.user.UserCache;
import cc.smtweb.system.bpm.web.sys.user.user.UserPartyCache;
import cc.smtweb.system.bpm.web.sys.user.user.UserRoleCache;
import cc.smtweb.system.bpm.web.sys.user.user.UserStatuCache;

public class FlushRedisTask extends BaseJob {
    @Override
    protected String work() {
        PartyCache.getInstance().refresh();
        UserCache.getInstance().refresh();
        UserPartyCache.getInstance().refresh();
        DeptCache.getInstance().refresh();
        UserRoleCache.getInstance().refresh();
        UserStatuCache.getInstance().refresh();
        RoleGroupCache.getInstance().refresh();
        UtilLogger.info("定时任务刷新缓存完成。。");
        return null;
    }
}
